# Uses of Interface
org.apache.qpid.proton.message.Message

Packages that use Message
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.message
org.apache.qpid.proton.message.impl

## Uses of Message in org.apache.qpid.proton

Methods in org.apache.qpid.proton that return Message
Modifier and Type
Method
Description
`static Message`
Proton.`message()`
`static Message`
Proton.`message(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`

## Uses of Message in org.apache.qpid.proton.message

Subinterfaces of Message in org.apache.qpid.proton.message
Modifier and Type
Interface
Description
`interface`
`ProtonJMessage`
Methods in org.apache.qpid.proton.message that return Message
Modifier and Type
Method
Description
`static Message`
Message.Factory.`create()`
`static Message`
Message.Factory.`create(Header header, DeliveryAnnotations deliveryAnnotations, MessageAnnotations messageAnnotations, Properties properties, ApplicationProperties applicationProperties, Section body, Footer footer)`

## Uses of Message in org.apache.qpid.proton.message.impl

Classes in org.apache.qpid.proton.message.impl that implement Message
Modifier and Type
Class
Description
`class`
`MessageImpl`